XMLNetHTTPInfo Class Reference

`#include <xercesc/util/XMLNetAccessor.hpp>`

## Public Types

enum | HTTPMethod { GET , PUT , POST }

## Public Member Functions

| XMLNetHTTPInfo ()

## Public Attributes

HTTPMethod | fHTTPMethod
const char * | fHeaders
XMLSize_t | fHeadersLen
const char * | fPayload
XMLSize_t | fPayloadLen

## Member Enumeration Documentation

## HTTPMethod

enum XMLNetHTTPInfo::HTTPMethod

Enumerator
GET |
PUT |
POST |

## Constructor & Destructor Documentation

## XMLNetHTTPInfo()

XMLNetHTTPInfo::XMLNetHTTPInfo | ( |  | ) |

References fHeaders, fHeadersLen, fHTTPMethod, fPayload, fPayloadLen, GET, and XMLNetHTTPInfo().

Referenced by XMLNetHTTPInfo().

## Member Data Documentation

## fHeaders

const char* XMLNetHTTPInfo::fHeaders

Referenced by XMLNetHTTPInfo().

## fHeadersLen

XMLSize_t XMLNetHTTPInfo::fHeadersLen

Referenced by XMLNetHTTPInfo().

## fHTTPMethod

HTTPMethod XMLNetHTTPInfo::fHTTPMethod

Referenced by XMLNetHTTPInfo().

## fPayload

const char* XMLNetHTTPInfo::fPayload

Referenced by XMLNetHTTPInfo().

## fPayloadLen

XMLSize_t XMLNetHTTPInfo::fPayloadLen

Referenced by XMLNetHTTPInfo().

The documentation for this class was generated from the following file:

- XMLNetAccessor.hpp